# template: foreman_plugin
%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}
%{!?_root_sysconfdir:%global _root_sysconfdir %{_sysconfdir}}

%global gem_name foreman_netbox
%global plugin_name netbox
%global foreman_min_version 2.2

Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 1.1.0
Release: 1%{?foremandist}%{?dist}
Summary: Adds integration with NetBox
Group: Applications/Systems
License: GPLv3
URL: https://github.com/dm-drogeriemarkt/foreman_netbox
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# start specfile generated dependencies
Requires: foreman >= %{foreman_min_version}
Requires: %{?scl_prefix_ruby}ruby(release)
Requires: %{?scl_prefix_ruby}ruby
Requires: %{?scl_prefix_ruby}ruby(rubygems)
Requires: %{?scl_prefix}rubygem(dry-configurable) >= 0.12.0
Requires: %{?scl_prefix}rubygem(dry-configurable) < 0.13
Requires: %{?scl_prefix}rubygem(dry-container) >= 0.7.0
Requires: %{?scl_prefix}rubygem(dry-container) < 0.8
Requires: %{?scl_prefix}rubygem(dry-core) >= 0.6.0
Requires: %{?scl_prefix}rubygem(dry-core) < 0.7
Requires: %{?scl_prefix}rubygem(dry-inflector) = 0.2.0
Requires: %{?scl_prefix}rubygem(dry-schema) >= 1.6.0
Requires: %{?scl_prefix}rubygem(dry-schema) < 1.7
Requires: %{?scl_prefix}rubygem(dry-validation) >= 1.5.2
Requires: %{?scl_prefix}rubygem(dry-validation) < 1.6
Requires: %{?scl_prefix}rubygem(interactor) >= 3.1.1
Requires: %{?scl_prefix}rubygem(interactor) < 3.2
Requires: %{?scl_prefix}rubygem(netbox-client-ruby) >= 0.5.5
Requires: %{?scl_prefix}rubygem(netbox-client-ruby) < 0.6
BuildRequires: foreman-plugin >= %{foreman_min_version}
BuildRequires: %{?scl_prefix_ruby}ruby(release)
BuildRequires: %{?scl_prefix_ruby}ruby
BuildRequires: %{?scl_prefix_ruby}rubygems-devel
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}
Provides: foreman-plugin-%{plugin_name} = %{version}
# end specfile generated dependencies

%description
Adds integration with NetBox.


%package doc
Summary: Documentation for %{pkg_name}
Group: Documentation
Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{pkg_name}.

%prep
%{?scl:scl enable %{scl} - << \EOF}
gem unpack %{SOURCE0}
%{?scl:EOF}

%setup -q -D -T -n  %{gem_name}-%{version}

%{?scl:scl enable %{scl} - << \EOF}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%{?scl:EOF}

%build
# Create the gem as gem install only works on a gem file
%{?scl:scl enable %{scl} - << \EOF}
gem build %{gem_name}.gemspec
%{?scl:EOF}

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%{?scl:scl enable %{scl} - << \EOF}
%gem_install
%{?scl:EOF}

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%foreman_bundlerd_file

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_instdir}/db
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%{foreman_bundlerd_plugin}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%posttrans
%{foreman_plugin_log}

%changelog
* Tue May 31 2022 Dirk Goetz <dirk.goetz@netways.de> 1.1.0-1
- Add rubygem-foreman_netbox generated by gem2rpm using the foreman_plugin template

